!******************************************************************************!
!                                                                              !
!    ctparameter129.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter129.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter129
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter129()
  dZZA_QED2 = (4d0*(-Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_84) - Nc*cMB**2d0*coupl&
              (nGC_1)*coupl(nGC_87) - Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_85) - &
              Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_88) - Nc*cMD**2d0*coupl(nGC_1 &
              )*coupl(nGC_84) - Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_87) - Nc*cMS&
              **2d0*coupl(nGC_1)*coupl(nGC_84) - Nc*cMS**2d0*coupl(nGC_1)*coupl&
              (nGC_87) - Nc*cMT**2d0*coupl(nGC_2)*coupl(nGC_85) - Nc*cMT**2d0* &
              coupl(nGC_2)*coupl(nGC_88) - Nc*cMU**2d0*coupl(nGC_2)*coupl(     &
              nGC_85) - Nc*cMU**2d0*coupl(nGC_2)*coupl(nGC_88) - cME**2d0*coupl&
              (nGC_4)*coupl(nGC_86) - cME**2d0*coupl(nGC_4)*coupl(nGC_89) - cMM&
              **2d0*coupl(nGC_4)*coupl(nGC_86) - cMM**2d0*coupl(nGC_4)*coupl(  &
              nGC_89) - cMTA**2d0*coupl(nGC_4)*coupl(nGC_86) - cMTA**2d0*coupl(&
              nGC_4)*coupl(nGC_89) - 3d0*cMW**2d0*coupl(nGC_3)*coupl(nGC_82) - &
              cima*cMW**2d0*coupl(nGC_83))/cMZ**2d0 + 2d0*(4d0*Nc*Ten489*coupl(&
              nGC_2)*(coupl(nGC_85) + coupl(nGC_88)) + 4d0*Nc*Ten490*coupl(    &
              nGC_2)*(coupl(nGC_85) + coupl(nGC_88)) + 4d0*Nc*Ten491*coupl(    &
              nGC_2)*(coupl(nGC_85) + coupl(nGC_88)) + 4d0*Nc*Ten492*coupl(    &
              nGC_1)*(coupl(nGC_84) + coupl(nGC_87)) + 4d0*Nc*Ten493*coupl(    &
              nGC_1)*(coupl(nGC_84) + coupl(nGC_87)) + 4d0*Nc*Ten494*coupl(    &
              nGC_1)*(coupl(nGC_84) + coupl(nGC_87)) - 2d0*Nc*Ten502*cMU**2d0* &
              coupl(nGC_2)*(coupl(nGC_85) + coupl(nGC_88)) - 2d0*Nc*Ten503*cMC &
              **2d0*coupl(nGC_2)*(coupl(nGC_85) + coupl(nGC_88)) - 2d0*Nc*     &
              Ten504*cMT**2d0*coupl(nGC_2)*(coupl(nGC_85) + coupl(nGC_88)) -   &
              2d0*Nc*Ten505*cMD**2d0*coupl(nGC_1)*(coupl(nGC_84) + coupl(nGC_87&
              )) - 2d0*Nc*Ten506*cMS**2d0*coupl(nGC_1)*(coupl(nGC_84) + coupl( &
              nGC_87)) - 2d0*Nc*Ten507*cMB**2d0*coupl(nGC_1)*(coupl(nGC_84) +  &
              coupl(nGC_87)) - cima*Ten13*coupl(nGC_97) + cima*Ten3*(3d0*coupl(&
              nGC_83) - coupl(nGC_97)) + 4d0*Ten486*coupl(nGC_4)*(coupl(nGC_86 &
              ) + coupl(nGC_89)) + 4d0*Ten487*coupl(nGC_4)*(coupl(nGC_86) +    &
              coupl(nGC_89)) + 4d0*Ten488*coupl(nGC_4)*(coupl(nGC_86) + coupl( &
              nGC_89)) - 2d0*Ten499*cME**2d0*coupl(nGC_4)*(coupl(nGC_86) +     &
              coupl(nGC_89)) - 2d0*Ten500*cMM**2d0*coupl(nGC_4)*(coupl(nGC_86  &
              ) + coupl(nGC_89)) - 2d0*Ten501*cMTA**2d0*coupl(nGC_4)*(coupl(   &
              nGC_86) + coupl(nGC_89)) - 2d0*Ten968*coupl(nGC_107)*coupl(      &
              nGC_127) + Ten971*(4d0*coupl(nGC_17)*coupl(nGC_96) + 17d0*coupl( &
              nGC_3)*coupl(nGC_82) - coupl(nGC_4)*coupl(nGC_81)) + 4d0*Ten978* &
              coupl(nGC_17)*coupl(nGC_96))/cMZ**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZZA_QED2 = cone*real(dZZA_QED2,kind=dp)
    end if 
end subroutine set_ctparameter129
end module ctparameter129
