!******************************************************************************!
!                                                                              !
!    vertices_info13.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info13.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info13
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl13()
      allocate(vertices(242)%branchR2(0:0))
      call avR2(242, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(395)%branchR2(0:3))
      call avR2(395, 0, 40, 1, 0, VFFa1, (/1, 2/), (/nGC_2024, nGC_2025/))

      call avR2(395, 1, 40, 1, 0, VFFa1, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(395, 2, 41, 1, 0, VFFa1, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(395, 3, 41, 1, 0, VFFa1, (/1, 2/), (/nGC_2022, nGC_2023/))

      allocate(vertices(1866)%branchR2(0:0))
      call avR2(1866, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(1150)%branchR2(0:0))
      call avR2(1150, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(3878)%branchR2(0:1))
      call avR2(3878, 0, 43, 1, 0, SVV0, (/2, 1/), (/nGC_1927/))

      call avR2(3878, 1, 44, 1, 0, SVV0, (/2, 1/), (/nGC_1928/))

      allocate(vertices(3009)%branchR2(0:0))
      call avR2(3009, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(2465)%branchR2(0:0))
      call avR2(2465, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(3476)%branchR2(0:0))
      call avR2(3476, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(3879)%branchR2(0:0))
      call avR2(3879, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(3880)%branchR2(0:1))
      call avR2(3880, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2116/))

      call avR2(3880, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(43)%branchR2(0:0))
      call avR2(43, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1993/))

      allocate(vertices(3881)%branchR2(0:0))
      call avR2(3881, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(3511)%branchR2(0:0))
      call avR2(3511, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(949)%branchR2(0:0))
      call avR2(949, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(1896)%branchR2(0:0))
      call avR2(1896, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(1845)%branchR2(0:0))
      call avR2(1845, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1937, nGC_1938/))

      allocate(vertices(3882)%branchR2(0:0))
      call avR2(3882, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(2563)%branchR2(0:0))
      call avR2(2563, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(2398)%branchR2(0:0))
      call avR2(2398, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(175)%branchR2(0:1))
      call avR2(175, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1964, nGC_1963/))

      call avR2(175, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1965, nGC_1965/))

      allocate(vertices(524)%branchR2(0:0))
      call avR2(524, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(3516)%branchR2(0:0))
      call avR2(3516, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(600)%branchR2(0:0))
      call avR2(600, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3267/))

      allocate(vertices(1999)%branchR2(0:0))
      call avR2(1999, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(865)%branchR2(0:1))
      call avR2(865, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1917, nGC_1916/))

      call avR2(865, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1918, nGC_1918/))

      allocate(vertices(866)%branchR2(0:0))
      call avR2(866, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1781/))

      allocate(vertices(3883)%branchR2(0:1))
      call avR2(3883, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2099/))

      call avR2(3883, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2098/))

      allocate(vertices(1110)%branchR2(0:0))
      call avR2(1110, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(357)%branchR2(0:0))
      call avR2(357, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2040, nGC_2041,        &
      nGC_2042/))

      allocate(vertices(580)%branchR2(0:0))
      call avR2(580, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(3116)%branchR2(0:0))
      call avR2(3116, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1299)%branchR2(0:0))
      call avR2(1299, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(3545)%branchR2(0:0))
      call avR2(3545, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(2904)%branchR2(0:0))
      call avR2(2904, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(1117)%branchR2(0:1))
      call avR2(1117, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1996, nGC_1997/))

      call avR2(1117, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(3035)%branchR2(0:0))
      call avR2(3035, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(1572)%branchR2(0:0))
      call avR2(1572, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1863/))

      allocate(vertices(735)%branchR2(0:0))
      call avR2(735, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(2366)%branchR2(0:0))
      call avR2(2366, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(702)%branchR2(0:0))
      call avR2(702, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(3884)%branchR2(0:1))
      call avR2(3884, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      call avR2(3884, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2202, nGC_2202,      &
      nGC_2202/))

      allocate(vertices(2467)%branchR2(0:0))
      call avR2(2467, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1842/))

      allocate(vertices(928)%branchR2(0:0))
      call avR2(928, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(960)%branchR2(0:0))
      call avR2(960, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(292)%branchR2(0:0))
      call avR2(292, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(1193)%branchR2(0:0))
      call avR2(1193, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3259/))

      allocate(vertices(2179)%branchR2(0:0))
      call avR2(2179, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(1136)%branchR2(0:0))
      call avR2(1136, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1848/))

      allocate(vertices(101)%branchR2(0:0))
      call avR2(101, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1362)%branchR2(0:0))
      call avR2(1362, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(1170)%branchR2(0:0))
      call avR2(1170, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(2032)%branchR2(0:1))
      call avR2(2032, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1822, nGC_1820/))

      call avR2(2032, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1823, nGC_1821/))

      allocate(vertices(1503)%branchR2(0:0))
      call avR2(1503, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(2145)%branchR2(0:1))
      call avR2(2145, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1773, nGC_1775/))

      call avR2(2145, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1774, nGC_1776/))

      allocate(vertices(2104)%branchR2(0:0))
      call avR2(2104, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2358)%branchR2(0:0))
      call avR2(2358, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(1905)%branchR2(0:0))
      call avR2(1905, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2711)%branchR2(0:1))
      call avR2(2711, 0, 14, 1, 0, FFa3, (/0, 2/), (/nGC_1695, nGC_1692,       &
      nGC_1711, nGC_1711/))

      call avR2(2711, 1, 14, 1, 0, FFa3, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1712, nGC_1712/))

      allocate(vertices(2262)%branchR2(0:0))
      call avR2(2262, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1766/))

      allocate(vertices(1174)%branchR2(0:0))
      call avR2(1174, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3284/))

      allocate(vertices(2889)%branchR2(0:0))
      call avR2(2889, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1173)%branchR2(0:0))
      call avR2(1173, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2693)%branchR2(0:0))
      call avR2(2693, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(3221)%branchR2(0:0))
      call avR2(3221, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(1691)%branchR2(0:0))
      call avR2(1691, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1805/))

      allocate(vertices(2613)%branchR2(0:0))
      call avR2(2613, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(909)%branchR2(0:0))
      call avR2(909, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(174)%branchR2(0:0))
      call avR2(174, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(2489)%branchR2(0:0))
      call avR2(2489, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(542)%branchR2(0:0))
      call avR2(542, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(1085)%branchR2(0:0))
      call avR2(1085, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(638)%branchR2(0:1))
      call avR2(638, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1961, nGC_1960/))

      call avR2(638, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1962, nGC_1962/))

      allocate(vertices(2055)%branchR2(0:0))
      call avR2(2055, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1893, nGC_1894/))

      allocate(vertices(2854)%branchR2(0:0))
      call avR2(2854, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(1135)%branchR2(0:0))
      call avR2(1135, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(990)%branchR2(0:0))
      call avR2(990, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(160)%branchR2(0:1))
      call avR2(160, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1834, nGC_1832/))

      call avR2(160, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1835, nGC_1833/))

      allocate(vertices(2400)%branchR2(0:0))
      call avR2(2400, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1819)%branchR2(0:0))
      call avR2(1819, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2436)%branchR2(0:0))
      call avR2(2436, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1725/))

      allocate(vertices(138)%branchR2(0:0))
      call avR2(138, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2640)%branchR2(0:0))
      call avR2(2640, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(962)%branchR2(0:0))
      call avR2(962, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(1467)%branchR2(0:0))
      call avR2(1467, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(1909)%branchR2(0:0))
      call avR2(1909, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2208, nGC_2208,       &
      nGC_2207/))

      allocate(vertices(3201)%branchR2(0:0))
      call avR2(3201, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2768)%branchR2(0:0))
      call avR2(2768, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(2320)%branchR2(0:1))
      call avR2(2320, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1972/))

      call avR2(2320, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(469)%branchR2(0:0))
      call avR2(469, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(2707)%branchR2(0:0))
      call avR2(2707, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1724/))

      allocate(vertices(2223)%branchR2(0:0))
      call avR2(2223, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(3213)%branchR2(0:0))
      call avR2(3213, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(2529)%branchR2(0:0))
      call avR2(2529, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(3135)%branchR2(0:0))
      call avR2(3135, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_1670, nGC_1668,        &
      nGC_1669/))

      allocate(vertices(1626)%branchR2(0:0))
      call avR2(1626, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(136)%branchR2(0:0))
      call avR2(136, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(1301)%branchR2(0:0))
      call avR2(1301, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(381)%branchR2(0:0))
      call avR2(381, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1761/))

      allocate(vertices(3885)%branchR2(0:0))
      call avR2(3885, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(2742)%branchR2(0:0))
      call avR2(2742, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1745/))

      allocate(vertices(1893)%branchR2(0:0))
      call avR2(1893, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1847/))

      allocate(vertices(1734)%branchR2(0:0))
      call avR2(1734, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(2106)%branchR2(0:0))
      call avR2(2106, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2164)%branchR2(0:0))
      call avR2(2164, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1915/))

      allocate(vertices(1617)%branchR2(0:0))
      call avR2(1617, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1726/))

      allocate(vertices(87)%branchR2(0:0))
      call avR2(87, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(2350)%branchR2(0:0))
      call avR2(2350, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(2450)%branchR2(0:0))
      call avR2(2450, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1750)%branchR2(0:0))
      call avR2(1750, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1727/))

      allocate(vertices(1624)%branchR2(0:0))
      call avR2(1624, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(2222)%branchR2(0:0))
      call avR2(2222, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(2185)%branchR2(0:1))
      call avR2(2185, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1969, nGC_1968/))

      call avR2(2185, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1970, nGC_1970/))

      allocate(vertices(1872)%branchR2(0:0))
      call avR2(1872, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2444)%branchR2(0:1))
      call avR2(2444, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1851, nGC_1849/))

      call avR2(2444, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1852, nGC_1850/))

      allocate(vertices(2200)%branchR2(0:0))
      call avR2(2200, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(3178)%branchR2(0:0))
      call avR2(3178, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(1119)%branchR2(0:0))
      call avR2(1119, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(3502)%branchR2(0:0))
      call avR2(3502, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(783)%branchR2(0:0))
      call avR2(783, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(520)%branchR2(0:0))
      call avR2(520, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2206, nGC_2204,        &
      nGC_2205/))

      allocate(vertices(343)%branchR2(0:3))
      call avR2(343, 0, 40, 1, 0, VFFa1, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(343, 1, 40, 1, 0, VFFa1, (/1, 2/), (/nGC_2010, nGC_2011/))

      call avR2(343, 2, 41, 1, 0, VFFa1, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(343, 3, 41, 1, 0, VFFa1, (/1, 2/), (/nGC_2008, nGC_2009/))

      allocate(vertices(3886)%branchR2(0:0))
      call avR2(3886, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(3887)%branchR2(0:1))
      call avR2(3887, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2166/))

      call avR2(3887, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2165/))

      allocate(vertices(2229)%branchR2(0:0))
      call avR2(2229, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1893, nGC_1894/))

      allocate(vertices(378)%branchR2(0:0))
      call avR2(378, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(362)%branchR2(0:0))
      call avR2(362, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1912/))

      allocate(vertices(3275)%branchR2(0:0))
      call avR2(3275, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(334)%branchR2(0:0))
      call avR2(334, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(2391)%branchR2(0:1))
      call avR2(2391, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1920, nGC_1919/))

      call avR2(2391, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1921, nGC_1921/))

      allocate(vertices(1182)%branchR2(0:0))
      call avR2(1182, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1929, nGC_1930/))

      allocate(vertices(2368)%branchR2(0:1))
      call avR2(2368, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1733, nGC_1734/))

      call avR2(2368, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(368)%branchR2(0:0))
      call avR2(368, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(246)%branchR2(0:0))
      call avR2(246, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1578)%branchR2(0:0))
      call avR2(1578, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(1369)%branchR2(0:0))
      call avR2(1369, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1958, nGC_1959/))

      allocate(vertices(2610)%branchR2(0:0))
      call avR2(2610, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2308)%branchR2(0:0))
      call avR2(2308, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(356)%branchR2(0:0))
      call avR2(356, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2953)%branchR2(0:0))
      call avR2(2953, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(2528)%branchR2(0:1))
      call avR2(2528, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1771, nGC_1769/))

      call avR2(2528, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1772, nGC_1770/))

      allocate(vertices(2100)%branchR2(0:0))
      call avR2(2100, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(1663)%branchR2(0:0))
      call avR2(1663, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(57)%branchR2(0:0))
      call avR2(57, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2167/))

    end subroutine fill_vertices_mdl13
end module vertices_info13
