!******************************************************************************!
!                                                                              !
!    vertices_info9.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info9.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info9
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl9()
      allocate(vertices(714)%branchR2(0:0))
      call avR2(714, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(969)%branchR2(0:0))
      call avR2(969, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(2364)%branchR2(0:0))
      call avR2(2364, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1181)%branchR2(0:0))
      call avR2(1181, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(2162)%branchR2(0:1))
      call avR2(2162, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1923, nGC_1922/))

      call avR2(2162, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1924, nGC_1924/))

      allocate(vertices(1720)%branchR2(0:0))
      call avR2(1720, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(2406)%branchR2(0:0))
      call avR2(2406, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(2195)%branchR2(0:0))
      call avR2(2195, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1072)%branchR2(0:1))
      call avR2(1072, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1871, nGC_1870/))

      call avR2(1072, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1856, nGC_1854/))

      allocate(vertices(1739)%branchR2(0:0))
      call avR2(1739, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(1956)%branchR2(0:0))
      call avR2(1956, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1781/))

      allocate(vertices(1007)%branchR2(0:0))
      call avR2(1007, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(205)%branchR2(0:0))
      call avR2(205, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(944)%branchR2(0:0))
      call avR2(944, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1809/))

      allocate(vertices(201)%branchR2(0:1))
      call avR2(201, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_1974/))

      call avR2(201, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1704)%branchR2(0:0))
      call avR2(1704, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(3541)%branchR2(0:0))
      call avR2(3541, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(167)%branchR2(0:0))
      call avR2(167, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(2522)%branchR2(0:0))
      call avR2(2522, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(2252)%branchR2(0:0))
      call avR2(2252, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2077,       &
      nGC_2078/))

      allocate(vertices(2492)%branchR2(0:0))
      call avR2(2492, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(781)%branchR2(0:0))
      call avR2(781, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(1259)%branchR2(0:0))
      call avR2(1259, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1842/))

      allocate(vertices(751)%branchR2(0:0))
      call avR2(751, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(3268)%branchR2(0:0))
      call avR2(3268, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1708/))

      allocate(vertices(1778)%branchR2(0:0))
      call avR2(1778, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(287)%branchR2(0:0))
      call avR2(287, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1715)%branchR2(0:0))
      call avR2(1715, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(3570)%branchR2(0:0))
      call avR2(3570, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1764/))

      allocate(vertices(198)%branchR2(0:0))
      call avR2(198, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(478)%branchR2(0:0))
      call avR2(478, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(3595)%branchR2(0:1))
      call avR2(3595, 0, 43, 1, 0, SVV0, (/2, 1/), (/nGC_1956/))

      call avR2(3595, 1, 44, 1, 0, SVV0, (/2, 1/), (/nGC_1957/))

      allocate(vertices(1971)%branchR2(0:0))
      call avR2(1971, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2987)%branchR2(0:0))
      call avR2(2987, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(3043)%branchR2(0:0))
      call avR2(3043, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(1363)%branchR2(0:0))
      call avR2(1363, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(3283)%branchR2(0:0))
      call avR2(3283, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(3596)%branchR2(0:0))
      call avR2(3596, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(1164)%branchR2(0:0))
      call avR2(1164, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3263/))

      allocate(vertices(1822)%branchR2(0:0))
      call avR2(1822, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(265)%branchR2(0:0))
      call avR2(265, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1582)%branchR2(0:0))
      call avR2(1582, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1766/))

      allocate(vertices(1658)%branchR2(0:0))
      call avR2(1658, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(650)%branchR2(0:0))
      call avR2(650, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(2633)%branchR2(0:0))
      call avR2(2633, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1788/))

      allocate(vertices(1600)%branchR2(0:0))
      call avR2(1600, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(2621)%branchR2(0:1))
      call avR2(2621, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(2621, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1953, nGC_1953/))

      allocate(vertices(1339)%branchR2(0:0))
      call avR2(1339, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2527)%branchR2(0:0))
      call avR2(2527, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1861/))

      allocate(vertices(2635)%branchR2(0:0))
      call avR2(2635, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(1205)%branchR2(0:0))
      call avR2(1205, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2381)%branchR2(0:0))
      call avR2(2381, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1809/))

      allocate(vertices(3429)%branchR2(0:1))
      call avR2(3429, 0, 42, 1, 0, FaF2, (/0, 2/), (/nGC_1691, nGC_1688,       &
      nGC_1709, nGC_1709/))

      call avR2(3429, 1, 42, 1, 0, FaF2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1710, nGC_1710/))

      allocate(vertices(1178)%branchR2(0:0))
      call avR2(1178, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(2409)%branchR2(0:1))
      call avR2(2409, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1903, nGC_1901/))

      call avR2(2409, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1904, nGC_1902/))

      allocate(vertices(300)%branchR2(0:0))
      call avR2(300, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(3204)%branchR2(0:0))
      call avR2(3204, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(1156)%branchR2(0:0))
      call avR2(1156, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2648)%branchR2(0:0))
      call avR2(2648, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(965)%branchR2(0:1))
      call avR2(965, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1961, nGC_1960/))

      call avR2(965, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1962, nGC_1962/))

      allocate(vertices(1211)%branchR2(0:0))
      call avR2(1211, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2208, nGC_2207,       &
      nGC_2208/))

      allocate(vertices(2890)%branchR2(0:0))
      call avR2(2890, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(1554)%branchR2(0:0))
      call avR2(1554, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(1360)%branchR2(0:0))
      call avR2(1360, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(3597)%branchR2(0:0))
      call avR2(3597, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(2297)%branchR2(0:0))
      call avR2(2297, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1552)%branchR2(0:0))
      call avR2(1552, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1105)%branchR2(0:0))
      call avR2(1105, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2152/))

      allocate(vertices(3598)%branchR2(0:0))
      call avR2(3598, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(2913)%branchR2(0:0))
      call avR2(2913, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(558)%branchR2(0:0))
      call avR2(558, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1808)%branchR2(0:0))
      call avR2(1808, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(3145)%branchR2(0:0))
      call avR2(3145, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(923)%branchR2(0:1))
      call avR2(923, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1946, nGC_1945/))

      call avR2(923, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(997)%branchR2(0:0))
      call avR2(997, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(2025)%branchR2(0:0))
      call avR2(2025, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1937)%branchR2(0:0))
      call avR2(1937, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(2838)%branchR2(0:1))
      call avR2(2838, 0, 42, 1, 0, FaF2, (/0, 2/), (/nGC_1695, nGC_1692,       &
      nGC_1711, nGC_1711/))

      call avR2(2838, 1, 42, 1, 0, FaF2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1712, nGC_1712/))

      allocate(vertices(3074)%branchR2(0:0))
      call avR2(3074, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(319)%branchR2(0:0))
      call avR2(319, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1763/))

      allocate(vertices(269)%branchR2(0:0))
      call avR2(269, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1842/))

      allocate(vertices(2623)%branchR2(0:0))
      call avR2(2623, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(217)%branchR2(0:0))
      call avR2(217, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1689)%branchR2(0:1))
      call avR2(1689, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1891, nGC_1889/))

      call avR2(1689, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1892, nGC_1890/))

      allocate(vertices(2552)%branchR2(0:0))
      call avR2(2552, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2040, nGC_2041,       &
      nGC_2042/))

      allocate(vertices(769)%branchR2(0:0))
      call avR2(769, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(2231)%branchR2(0:0))
      call avR2(2231, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1826, nGC_1827/))

      allocate(vertices(2399)%branchR2(0:0))
      call avR2(2399, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1220)%branchR2(0:0))
      call avR2(1220, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(3599)%branchR2(0:1))
      call avR2(3599, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      call avR2(3599, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      allocate(vertices(1037)%branchR2(0:0))
      call avR2(1037, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(3329)%branchR2(0:0))
      call avR2(3329, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3264/))

      allocate(vertices(109)%branchR2(0:0))
      call avR2(109, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1760/))

      allocate(vertices(2959)%branchR2(0:0))
      call avR2(2959, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(348)%branchR2(0:0))
      call avR2(348, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1509)%branchR2(0:3))
      call avR2(1509, 0, 40, 1, 0, VFFa1, (/1, 2/), (/nGC_2014, nGC_2015/))

      call avR2(1509, 1, 40, 1, 0, VFFa1, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1509, 2, 41, 1, 0, VFFa1, (/1, 2/), (/nGC_2012, nGC_2013/))

      call avR2(1509, 3, 41, 1, 0, VFFa1, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(1346)%branchR2(0:0))
      call avR2(1346, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(325)%branchR2(0:3))
      call avR2(325, 0, 32, 1, 0, FaVF0, (/1, 2/), (/nGC_2028, nGC_2029/))

      call avR2(325, 1, 32, 1, 0, FaVF0, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(325, 2, 33, 1, 0, FaVF0, (/1, 2/), (/nGC_2026, nGC_2027/))

      call avR2(325, 3, 33, 1, 0, FaVF0, (/3, 0/), (/nGC_2018, nGC_2018/))

      allocate(vertices(3499)%branchR2(0:0))
      call avR2(3499, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1720/))

      allocate(vertices(907)%branchR2(0:0))
      call avR2(907, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(2861)%branchR2(0:0))
      call avR2(2861, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(921)%branchR2(0:0))
      call avR2(921, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1782/))

      allocate(vertices(102)%branchR2(0:0))
      call avR2(102, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(2560)%branchR2(0:0))
      call avR2(2560, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(3600)%branchR2(0:1))
      call avR2(3600, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2153/))

      call avR2(3600, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2154/))

      allocate(vertices(3067)%branchR2(0:0))
      call avR2(3067, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2117)%branchR2(0:0))
      call avR2(2117, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(3401)%branchR2(0:0))
      call avR2(3401, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1729/))

      allocate(vertices(31)%branchR2(0:0))
      call avR2(31, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1556)%branchR2(0:1))
      call avR2(1556, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1773, nGC_1775/))

      call avR2(1556, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1774, nGC_1776/))

      allocate(vertices(3601)%branchR2(0:1))
      call avR2(3601, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      call avR2(3601, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2202, nGC_2202,      &
      nGC_2202/))

      allocate(vertices(2543)%branchR2(0:3))
      call avR2(2543, 0, 37, 1, 0, FVFa0, (/1, 2/), (/nGC_2012, nGC_2013/))

      call avR2(2543, 1, 37, 1, 0, FVFa0, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(2543, 2, 36, 1, 0, FVFa0, (/1, 2/), (/nGC_2014, nGC_2015/))

      call avR2(2543, 3, 36, 1, 0, FVFa0, (/3, 0/), (/nGC_2006, nGC_2006/))

      allocate(vertices(3575)%branchR2(0:0))
      call avR2(3575, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(824)%branchR2(0:1))
      call avR2(824, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1834, nGC_1832/))

      call avR2(824, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1835, nGC_1833/))

      allocate(vertices(642)%branchR2(0:0))
      call avR2(642, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1529)%branchR2(0:0))
      call avR2(1529, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(2784)%branchR2(0:0))
      call avR2(2784, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(3491)%branchR2(0:0))
      call avR2(3491, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(419)%branchR2(0:0))
      call avR2(419, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(2244)%branchR2(0:0))
      call avR2(2244, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3265/))

      allocate(vertices(2651)%branchR2(0:0))
      call avR2(2651, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1862/))

      allocate(vertices(2428)%branchR2(0:0))
      call avR2(2428, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(2883)%branchR2(0:0))
      call avR2(2883, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(3334)%branchR2(0:0))
      call avR2(3334, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(989)%branchR2(0:1))
      call avR2(989, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1868, nGC_1869/))

      call avR2(989, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(619)%branchR2(0:0))
      call avR2(619, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2205, nGC_2206,        &
      nGC_2204/))

      allocate(vertices(2962)%branchR2(0:0))
      call avR2(2962, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(238)%branchR2(0:0))
      call avR2(238, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(1343)%branchR2(0:0))
      call avR2(1343, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(3119)%branchR2(0:0))
      call avR2(3119, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1724/))

      allocate(vertices(435)%branchR2(0:0))
      call avR2(435, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1811/))

      allocate(vertices(170)%branchR2(0:0))
      call avR2(170, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(1126)%branchR2(0:0))
      call avR2(1126, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(1625)%branchR2(0:0))
      call avR2(1625, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(2169)%branchR2(0:0))
      call avR2(2169, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(2538)%branchR2(0:0))
      call avR2(2538, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(280)%branchR2(0:0))
      call avR2(280, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1783/))

      allocate(vertices(3193)%branchR2(0:0))
      call avR2(3193, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1036)%branchR2(0:0))
      call avR2(1036, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2042, nGC_2040,       &
      nGC_2041/))

      allocate(vertices(1013)%branchR2(0:0))
      call avR2(1013, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1761/))

      allocate(vertices(3219)%branchR2(0:0))
      call avR2(3219, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(2239)%branchR2(0:0))
      call avR2(2239, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(1654)%branchR2(0:3))
      call avR2(1654, 0, 35, 1, 0, FaFV0, (/1, 2/), (/nGC_2026, nGC_2027/))

      call avR2(1654, 1, 35, 1, 0, FaFV0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(1654, 2, 34, 1, 0, FaFV0, (/1, 2/), (/nGC_2028, nGC_2029/))

      call avR2(1654, 3, 34, 1, 0, FaFV0, (/3, 0/), (/nGC_2021, nGC_2021/))

      allocate(vertices(2642)%branchR2(0:0))
      call avR2(2642, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(864)%branchR2(0:0))
      call avR2(864, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(2587)%branchR2(0:0))
      call avR2(2587, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(480)%branchR2(0:0))
      call avR2(480, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1912/))

      allocate(vertices(811)%branchR2(0:0))
      call avR2(811, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2834)%branchR2(0:0))
      call avR2(2834, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(882)%branchR2(0:0))
      call avR2(882, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(813)%branchR2(0:0))
      call avR2(813, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1824, nGC_1825/))

      allocate(vertices(690)%branchR2(0:0))
      call avR2(690, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(1385)%branchR2(0:0))
      call avR2(1385, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(975)%branchR2(0:1))
      call avR2(975, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1974/))

      call avR2(975, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1920)%branchR2(0:0))
      call avR2(1920, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(3602)%branchR2(0:1))
      call avR2(3602, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2187/))

      call avR2(3602, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2188/))

      allocate(vertices(2376)%branchR2(0:0))
      call avR2(2376, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2120/))

      allocate(vertices(2132)%branchR2(0:1))
      call avR2(2132, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1946, nGC_1945/))

      call avR2(2132, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(3603)%branchR2(0:0))
      call avR2(3603, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(1152)%branchR2(0:1))
      call avR2(1152, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1794, nGC_1795/))

      call avR2(1152, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1770, nGC_1772/))

      allocate(vertices(825)%branchR2(0:0))
      call avR2(825, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(2665)%branchR2(0:0))
      call avR2(2665, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(2767)%branchR2(0:0))
      call avR2(2767, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1662, nGC_1661/))

      allocate(vertices(1235)%branchR2(0:0))
      call avR2(1235, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(1873)%branchR2(0:0))
      call avR2(1873, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(1769)%branchR2(0:0))
      call avR2(1769, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(499)%branchR2(0:0))
      call avR2(499, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(2397)%branchR2(0:0))
      call avR2(2397, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1937, nGC_1938/))

      allocate(vertices(2435)%branchR2(0:0))
      call avR2(2435, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1958, nGC_1959/))

      allocate(vertices(2793)%branchR2(0:0))
      call avR2(2793, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1656, nGC_1655/))

      allocate(vertices(1332)%branchR2(0:0))
      call avR2(1332, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2238)%branchR2(0:0))
      call avR2(2238, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(1162)%branchR2(0:0))
      call avR2(1162, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(2050)%branchR2(0:0))
      call avR2(2050, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(1889)%branchR2(0:0))
      call avR2(1889, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(3261)%branchR2(0:0))
      call avR2(3261, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(2082)%branchR2(0:1))
      call avR2(2082, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(2082, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(1898)%branchR2(0:0))
      call avR2(1898, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1228)%branchR2(0:0))
      call avR2(1228, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(782)%branchR2(0:0))
      call avR2(782, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(2995)%branchR2(0:0))
      call avR2(2995, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1832)%branchR2(0:0))
      call avR2(1832, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(3243)%branchR2(0:0))
      call avR2(3243, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(1047)%branchR2(0:0))
      call avR2(1047, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(2581)%branchR2(0:0))
      call avR2(2581, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(1241)%branchR2(0:1))
      call avR2(1241, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1779, nGC_1777/))

      call avR2(1241, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1780, nGC_1778/))

      allocate(vertices(1618)%branchR2(0:0))
      call avR2(1618, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(1082)%branchR2(0:0))
      call avR2(1082, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1163)%branchR2(0:0))
      call avR2(1163, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(40)%branchR2(0:0))
      call avR2(40, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(1869)%branchR2(0:1))
      call avR2(1869, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1923, nGC_1922/))

      call avR2(1869, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1924, nGC_1924/))

      allocate(vertices(1273)%branchR2(0:0))
      call avR2(1273, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(2430)%branchR2(0:0))
      call avR2(2430, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(248)%branchR2(0:1))
      call avR2(248, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_1972/))

      call avR2(248, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1226)%branchR2(0:0))
      call avR2(1226, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(3604)%branchR2(0:0))
      call avR2(3604, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2045, nGC_2045,       &
      nGC_2045/))

      allocate(vertices(1441)%branchR2(0:0))
      call avR2(1441, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1727/))

      allocate(vertices(630)%branchR2(0:0))
      call avR2(630, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(69)%branchR2(0:0))
      call avR2(69, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(2377)%branchR2(0:0))
      call avR2(2377, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3266/))

      allocate(vertices(2247)%branchR2(0:0))
      call avR2(2247, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1000)%branchR2(0:0))
      call avR2(1000, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(1300)%branchR2(0:0))
      call avR2(1300, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(2170)%branchR2(0:0))
      call avR2(2170, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(466)%branchR2(0:0))
      call avR2(466, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(1189)%branchR2(0:1))
      call avR2(1189, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1834, nGC_1832/))

      call avR2(1189, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1835, nGC_1833/))

      allocate(vertices(2315)%branchR2(0:0))
      call avR2(2315, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2077,       &
      nGC_2078/))

      allocate(vertices(1522)%branchR2(0:0))
      call avR2(1522, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(197)%branchR2(0:0))
      call avR2(197, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1111)%branchR2(0:0))
      call avR2(1111, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1762/))

      allocate(vertices(1841)%branchR2(0:0))
      call avR2(1841, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(498)%branchR2(0:0))
      call avR2(498, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1558)%branchR2(0:0))
      call avR2(1558, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1768/))

      allocate(vertices(1774)%branchR2(0:0))
      call avR2(1774, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1861/))

      allocate(vertices(270)%branchR2(0:0))
      call avR2(270, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1717/))

      allocate(vertices(151)%branchR2(0:0))
      call avR2(151, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(3430)%branchR2(0:0))
      call avR2(3430, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(3084)%branchR2(0:0))
      call avR2(3084, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(2210)%branchR2(0:0))
      call avR2(2210, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(2715)%branchR2(0:0))
      call avR2(2715, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1746/))

      allocate(vertices(2910)%branchR2(0:0))
      call avR2(2910, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(271)%branchR2(0:0))
      call avR2(271, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(354)%branchR2(0:0))
      call avR2(354, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(3254)%branchR2(0:0))
      call avR2(3254, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1765/))

      allocate(vertices(1990)%branchR2(0:0))
      call avR2(1990, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1862/))

      allocate(vertices(1510)%branchR2(0:0))
      call avR2(1510, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(3605)%branchR2(0:1))
      call avR2(3605, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2198/))

      call avR2(3605, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2197/))

      allocate(vertices(737)%branchR2(0:0))
      call avR2(737, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(2098)%branchR2(0:0))
      call avR2(2098, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(2158)%branchR2(0:1))
      call avR2(2158, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1909, nGC_1907/))

      call avR2(2158, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1910, nGC_1908/))

      allocate(vertices(1154)%branchR2(0:0))
      call avR2(1154, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1971/))

      allocate(vertices(1328)%branchR2(0:0))
      call avR2(1328, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(1188)%branchR2(0:0))
      call avR2(1188, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(3130)%branchR2(0:0))
      call avR2(3130, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(977)%branchR2(0:0))
      call avR2(977, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1718)%branchR2(0:0))
      call avR2(1718, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3267/))

      allocate(vertices(3005)%branchR2(0:0))
      call avR2(3005, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(3606)%branchR2(0:0))
      call avR2(3606, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(831)%branchR2(0:0))
      call avR2(831, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(717)%branchR2(0:0))
      call avR2(717, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(3537)%branchR2(0:0))
      call avR2(3537, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(3179)%branchR2(0:0))
      call avR2(3179, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(27)%branchR2(0:0))
      call avR2(27, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(1378)%branchR2(0:3))
      call avR2(1378, 0, 37, 1, 0, FVFa0, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(1378, 1, 37, 1, 0, FVFa0, (/1, 2/), (/nGC_2008, nGC_2009/))

      call avR2(1378, 2, 36, 1, 0, FVFa0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1378, 3, 36, 1, 0, FVFa0, (/1, 2/), (/nGC_2010, nGC_2011/))

      allocate(vertices(2047)%branchR2(0:0))
      call avR2(2047, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(3315)%branchR2(0:0))
      call avR2(3315, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(581)%branchR2(0:0))
      call avR2(581, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1992/))

      allocate(vertices(1570)%branchR2(0:0))
      call avR2(1570, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1996)%branchR2(0:0))
      call avR2(1996, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(627)%branchR2(0:0))
      call avR2(627, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1846/))

      allocate(vertices(3374)%branchR2(0:0))
      call avR2(3374, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(2985)%branchR2(0:0))
      call avR2(2985, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(931)%branchR2(0:0))
      call avR2(931, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(3607)%branchR2(0:1))
      call avR2(3607, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2199/))

      call avR2(3607, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2200/))

      allocate(vertices(1004)%branchR2(0:0))
      call avR2(1004, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3268/))

      allocate(vertices(1315)%branchR2(0:0))
      call avR2(1315, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(623)%branchR2(0:0))
      call avR2(623, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1288)%branchR2(0:0))
      call avR2(1288, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1801/))

      allocate(vertices(3003)%branchR2(0:0))
      call avR2(3003, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(1453)%branchR2(0:0))
      call avR2(1453, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3608)%branchR2(0:1))
      call avR2(3608, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2200/))

      call avR2(3608, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2199/))

      allocate(vertices(2579)%branchR2(0:0))
      call avR2(2579, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2279)%branchR2(0:1))
      call avR2(2279, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1834, nGC_1832/))

      call avR2(2279, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1835, nGC_1833/))

      allocate(vertices(2796)%branchR2(0:0))
      call avR2(2796, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(3364)%branchR2(0:0))
      call avR2(3364, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_1708/))

      allocate(vertices(3523)%branchR2(0:0))
      call avR2(3523, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(3609)%branchR2(0:1))
      call avR2(3609, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2209/))

      call avR2(3609, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2210/))

      allocate(vertices(3610)%branchR2(0:0))
      call avR2(3610, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(2940)%branchR2(0:0))
      call avR2(2940, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(130)%branchR2(0:0))
      call avR2(130, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2042, nGC_2041,        &
      nGC_2040/))

      allocate(vertices(2196)%branchR2(0:0))
      call avR2(2196, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(262)%branchR2(0:0))
      call avR2(262, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(243)%branchR2(0:0))
      call avR2(243, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3269/))

      allocate(vertices(2445)%branchR2(0:0))
      call avR2(2445, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1941)%branchR2(0:0))
      call avR2(1941, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(974)%branchR2(0:0))
      call avR2(974, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2078,        &
      nGC_2076/))

      allocate(vertices(2965)%branchR2(0:0))
      call avR2(2965, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(3496)%branchR2(0:0))
      call avR2(3496, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1747/))

      allocate(vertices(868)%branchR2(0:0))
      call avR2(868, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(3561)%branchR2(0:0))
      call avR2(3561, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3270/))

      allocate(vertices(3611)%branchR2(0:1))
      call avR2(3611, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2117/))

      call avR2(3611, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2116/))

      allocate(vertices(2558)%branchR2(0:0))
      call avR2(2558, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(11)%branchR2(0:0))
      call avR2(11, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(3612)%branchR2(0:0))
      call avR2(3612, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2055, nGC_2055,       &
      nGC_2054/))

      allocate(vertices(596)%branchR2(0:0))
      call avR2(596, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(1271)%branchR2(0:0))
      call avR2(1271, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(3222)%branchR2(0:0))
      call avR2(3222, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(3185)%branchR2(0:0))
      call avR2(3185, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(1817)%branchR2(0:0))
      call avR2(1817, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1629)%branchR2(0:0))
      call avR2(1629, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1824, nGC_1825/))

      allocate(vertices(660)%branchR2(0:0))
      call avR2(660, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(2779)%branchR2(0:0))
      call avR2(2779, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(2048)%branchR2(0:1))
      call avR2(2048, 0, 19, 1, 0, FVFa1, (/0, 3/), (/nGC_1972/))

      call avR2(2048, 1, 19, 1, 0, FVFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2155)%branchR2(0:0))
      call avR2(2155, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3271/))

      allocate(vertices(3613)%branchR2(0:1))
      call avR2(3613, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2117/))

      call avR2(3613, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2116/))

      allocate(vertices(1025)%branchR2(0:0))
      call avR2(1025, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1015)%branchR2(0:1))
      call avR2(1015, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_1754, nGC_1755/))

      call avR2(1015, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(1078)%branchR2(0:0))
      call avR2(1078, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2195/))

      allocate(vertices(612)%branchR2(0:1))
      call avR2(612, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(612, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(1200)%branchR2(0:0))
      call avR2(1200, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(7)%branchR2(0:0))
      call avR2(7, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(3614)%branchR2(0:0))
      call avR2(3614, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1722/))

      allocate(vertices(2884)%branchR2(0:0))
      call avR2(2884, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(877)%branchR2(0:0))
      call avR2(877, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1215)%branchR2(0:0))
      call avR2(1215, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(2434)%branchR2(0:1))
      call avR2(2434, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1961, nGC_1960/))

      call avR2(2434, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1962, nGC_1962/))

      allocate(vertices(1284)%branchR2(0:0))
      call avR2(1284, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(3453)%branchR2(0:0))
      call avR2(3453, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(1114)%branchR2(0:0))
      call avR2(1114, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1782/))

      allocate(vertices(954)%branchR2(0:0))
      call avR2(954, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2396)%branchR2(0:0))
      call avR2(2396, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(683)%branchR2(0:0))
      call avR2(683, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2129)%branchR2(0:1))
      call avR2(2129, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1909, nGC_1907/))

      call avR2(2129, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1910, nGC_1908/))

      allocate(vertices(1157)%branchR2(0:0))
      call avR2(1157, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1801/))

      allocate(vertices(3615)%branchR2(0:1))
      call avR2(3615, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2098/))

      call avR2(3615, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2099/))

      allocate(vertices(3402)%branchR2(0:0))
      call avR2(3402, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(3248)%branchR2(0:0))
      call avR2(3248, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(3616)%branchR2(0:0))
      call avR2(3616, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(358)%branchR2(0:1))
      call avR2(358, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1887, nGC_1885/))

      call avR2(358, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1888, nGC_1886/))

      allocate(vertices(566)%branchR2(0:0))
      call avR2(566, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1861/))

      allocate(vertices(3617)%branchR2(0:1))
      call avR2(3617, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2187/))

      call avR2(3617, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2188/))

      allocate(vertices(171)%branchR2(0:0))
      call avR2(171, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(1864)%branchR2(0:1))
      call avR2(1864, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1972/))

      call avR2(1864, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2498)%branchR2(0:0))
      call avR2(2498, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(2523)%branchR2(0:0))
      call avR2(2523, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(2632)%branchR2(0:0))
      call avR2(2632, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(554)%branchR2(0:0))
      call avR2(554, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(3618)%branchR2(0:0))
      call avR2(3618, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(1238)%branchR2(0:0))
      call avR2(1238, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2669)%branchR2(0:0))
      call avR2(2669, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(1474)%branchR2(0:0))
      call avR2(1474, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(2128)%branchR2(0:0))
      call avR2(2128, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(2111)%branchR2(0:0))
      call avR2(2111, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1542)%branchR2(0:0))
      call avR2(1542, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2417)%branchR2(0:0))
      call avR2(2417, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(1782)%branchR2(0:1))
      call avR2(1782, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1977, nGC_1979/))

      call avR2(1782, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(708)%branchR2(0:0))
      call avR2(708, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(2220)%branchR2(0:1))
      call avR2(2220, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1779, nGC_1777/))

      call avR2(2220, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1780, nGC_1778/))

      allocate(vertices(2658)%branchR2(0:0))
      call avR2(2658, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(2657)%branchR2(0:0))
      call avR2(2657, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(3619)%branchR2(0:1))
      call avR2(3619, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2171/))

      call avR2(3619, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2172/))

      allocate(vertices(3027)%branchR2(0:0))
      call avR2(3027, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(3305)%branchR2(0:0))
      call avR2(3305, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(2228)%branchR2(0:0))
      call avR2(2228, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1954, nGC_1955/))

      allocate(vertices(1607)%branchR2(0:0))
      call avR2(1607, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1895, nGC_1896/))

      allocate(vertices(2022)%branchR2(0:0))
      call avR2(2022, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(2265)%branchR2(0:0))
      call avR2(2265, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1782/))

      allocate(vertices(677)%branchR2(0:0))
      call avR2(677, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3271/))

      allocate(vertices(1980)%branchR2(0:0))
      call avR2(1980, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2077,       &
      nGC_2078/))

      allocate(vertices(2480)%branchR2(0:0))
      call avR2(2480, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(150)%branchR2(0:0))
      call avR2(150, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(3571)%branchR2(0:0))
      call avR2(3571, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3270/))

      allocate(vertices(2482)%branchR2(0:0))
      call avR2(2482, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(3620)%branchR2(0:1))
      call avR2(3620, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2117/))

      call avR2(3620, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2116/))

      allocate(vertices(712)%branchR2(0:0))
      call avR2(712, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(2192)%branchR2(0:1))
      call avR2(2192, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_1748, nGC_1749/))

      call avR2(2192, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(736)%branchR2(0:0))
      call avR2(736, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(422)%branchR2(0:0))
      call avR2(422, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1657)%branchR2(0:0))
      call avR2(1657, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(3532)%branchR2(0:0))
      call avR2(3532, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(1656)%branchR2(0:0))
      call avR2(1656, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1726/))

      allocate(vertices(533)%branchR2(0:0))
      call avR2(533, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(1611)%branchR2(0:0))
      call avR2(1611, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(752)%branchR2(0:0))
      call avR2(752, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(625)%branchR2(0:0))
      call avR2(625, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(2351)%branchR2(0:0))
      call avR2(2351, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1321)%branchR2(0:0))
      call avR2(1321, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(3552)%branchR2(0:0))
      call avR2(3552, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(2723)%branchR2(0:0))
      call avR2(2723, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1678, nGC_1677/))

      allocate(vertices(454)%branchR2(0:1))
      call avR2(454, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1773, nGC_1775/))

      call avR2(454, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1774, nGC_1776/))

      allocate(vertices(2452)%branchR2(0:0))
      call avR2(2452, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(3104)%branchR2(0:0))
      call avR2(3104, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(1050)%branchR2(0:0))
      call avR2(1050, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1768/))

      allocate(vertices(3480)%branchR2(0:0))
      call avR2(3480, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3272/))

      allocate(vertices(2021)%branchR2(0:0))
      call avR2(2021, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1808/))

      allocate(vertices(3357)%branchR2(0:0))
      call avR2(3357, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(3460)%branchR2(0:0))
      call avR2(3460, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(3621)%branchR2(0:1))
      call avR2(3621, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2199/))

      call avR2(3621, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2200/))

      allocate(vertices(2996)%branchR2(0:0))
      call avR2(2996, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(3622)%branchR2(0:1))
      call avR2(3622, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2202, nGC_2202,      &
      nGC_2202/))

      call avR2(3622, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      allocate(vertices(779)%branchR2(0:1))
      call avR2(779, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_1974/))

      call avR2(779, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2287)%branchR2(0:0))
      call avR2(2287, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2078,       &
      nGC_2077/))

      allocate(vertices(1461)%branchR2(0:0))
      call avR2(1461, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(310)%branchR2(0:0))
      call avR2(310, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(2085)%branchR2(0:1))
      call avR2(2085, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_1750, nGC_1751/))

      call avR2(2085, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(1807)%branchR2(0:0))
      call avR2(1807, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(3623)%branchR2(0:0))
      call avR2(3623, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(1498)%branchR2(0:0))
      call avR2(1498, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3265/))

      allocate(vertices(1518)%branchR2(0:0))
      call avR2(1518, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(1027)%branchR2(0:0))
      call avR2(1027, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(93)%branchR2(0:0))
      call avR2(93, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(3624)%branchR2(0:1))
      call avR2(3624, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2165/))

      call avR2(3624, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(1306)%branchR2(0:1))
      call avR2(1306, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1972/))

      call avR2(1306, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2866)%branchR2(0:0))
      call avR2(2866, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(2836)%branchR2(0:0))
      call avR2(2836, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(1939)%branchR2(0:0))
      call avR2(1939, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(988)%branchR2(0:0))
      call avR2(988, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(814)%branchR2(0:0))
      call avR2(814, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1802)%branchR2(0:0))
      call avR2(1802, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(2378)%branchR2(0:0))
      call avR2(2378, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(3625)%branchR2(0:0))
      call avR2(3625, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(110)%branchR2(0:0))
      call avR2(110, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(1642)%branchR2(0:1))
      call avR2(1642, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1961, nGC_1960/))

      call avR2(1642, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1962, nGC_1962/))

      allocate(vertices(3626)%branchR2(0:1))
      call avR2(3626, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2116/))

      call avR2(3626, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(1125)%branchR2(0:1))
      call avR2(1125, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1974/))

      call avR2(1125, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2673)%branchR2(0:0))
      call avR2(2673, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(2705)%branchR2(0:0))
      call avR2(2705, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1878/))

      allocate(vertices(374)%branchR2(0:0))
      call avR2(374, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1364)%branchR2(0:1))
      call avR2(1364, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1964, nGC_1963/))

      call avR2(1364, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1965, nGC_1965/))

      allocate(vertices(2292)%branchR2(0:0))
      call avR2(2292, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(2290)%branchR2(0:0))
      call avR2(2290, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1992/))

      allocate(vertices(963)%branchR2(0:0))
      call avR2(963, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(3627)%branchR2(0:0))
      call avR2(3627, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1722/))

      allocate(vertices(1916)%branchR2(0:0))
      call avR2(1916, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(762)%branchR2(0:0))
      call avR2(762, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1805/))

      allocate(vertices(1407)%branchR2(0:0))
      call avR2(1407, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(1236)%branchR2(0:0))
      call avR2(1236, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1718/))

      allocate(vertices(571)%branchR2(0:0))
      call avR2(571, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1790)%branchR2(0:0))
      call avR2(1790, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(1950)%branchR2(0:0))
      call avR2(1950, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(1075)%branchR2(0:0))
      call avR2(1075, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1788/))

      allocate(vertices(1634)%branchR2(0:0))
      call avR2(1634, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(224)%branchR2(0:1))
      call avR2(224, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1887, nGC_1885/))

      call avR2(224, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1888, nGC_1886/))

      allocate(vertices(2670)%branchR2(0:0))
      call avR2(2670, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(1433)%branchR2(0:0))
      call avR2(1433, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(1351)%branchR2(0:0))
      call avR2(1351, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(3012)%branchR2(0:0))
      call avR2(3012, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(1701)%branchR2(0:0))
      call avR2(1701, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(437)%branchR2(0:0))
      call avR2(437, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(1525)%branchR2(0:0))
      call avR2(1525, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(2676)%branchR2(0:0))
      call avR2(2676, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(1623)%branchR2(0:0))
      call avR2(1623, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(2831)%branchR2(0:0))
      call avR2(2831, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1724/))

      allocate(vertices(258)%branchR2(0:0))
      call avR2(258, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2490)%branchR2(0:0))
      call avR2(2490, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1846/))

      allocate(vertices(2589)%branchR2(0:0))
      call avR2(2589, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(1767)%branchR2(0:0))
      call avR2(1767, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3273/))

      allocate(vertices(2943)%branchR2(0:0))
      call avR2(2943, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(951)%branchR2(0:0))
      call avR2(951, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(3628)%branchR2(0:0))
      call avR2(3628, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(2812)%branchR2(0:0))
      call avR2(2812, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(3390)%branchR2(0:0))
      call avR2(3390, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(409)%branchR2(0:0))
      call avR2(409, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1845/))

      allocate(vertices(2576)%branchR2(0:1))
      call avR2(2576, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1972/))

      call avR2(2576, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2219)%branchR2(0:0))
      call avR2(2219, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(2291)%branchR2(0:0))
      call avR2(2291, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(518)%branchR2(0:0))
      call avR2(518, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(983)%branchR2(0:0))
      call avR2(983, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1786/))

      allocate(vertices(22)%branchR2(0:0))
      call avR2(22, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(1740)%branchR2(0:3))
      call avR2(1740, 0, 40, 1, 0, VFFa1, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1740, 1, 40, 1, 0, VFFa1, (/1, 2/), (/nGC_2005, nGC_2007/))

      call avR2(1740, 2, 41, 1, 0, VFFa1, (/1, 2/), (/nGC_2002, nGC_2004/))

      call avR2(1740, 3, 41, 1, 0, VFFa1, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(704)%branchR2(0:0))
      call avR2(704, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(3629)%branchR2(0:1))
      call avR2(3629, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2098/))

      call avR2(3629, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2099/))

      allocate(vertices(3224)%branchR2(0:0))
      call avR2(3224, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(3050)%branchR2(0:0))
      call avR2(3050, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(885)%branchR2(0:0))
      call avR2(885, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(2042)%branchR2(0:0))
      call avR2(2042, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(1012)%branchR2(0:0))
      call avR2(1012, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(3630)%branchR2(0:0))
      call avR2(3630, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2055, nGC_2054,       &
      nGC_2055/))

      allocate(vertices(776)%branchR2(0:1))
      call avR2(776, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1899, nGC_1897/))

      call avR2(776, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1900, nGC_1898/))

      allocate(vertices(3510)%branchR2(0:0))
      call avR2(3510, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1381)%branchR2(0:0))
      call avR2(1381, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(570)%branchR2(0:0))
      call avR2(570, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1788/))

      allocate(vertices(3150)%branchR2(0:0))
      call avR2(3150, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(2299)%branchR2(0:0))
      call avR2(2299, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(578)%branchR2(0:0))
      call avR2(578, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2150)%branchR2(0:0))
      call avR2(2150, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(718)%branchR2(0:0))
      call avR2(718, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(152)%branchR2(0:0))
      call avR2(152, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(709)%branchR2(0:0))
      call avR2(709, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1648)%branchR2(0:0))
      call avR2(1648, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(3631)%branchR2(0:0))
      call avR2(3631, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(628)%branchR2(0:0))
      call avR2(628, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3274/))

      allocate(vertices(3218)%branchR2(0:0))
      call avR2(3218, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(3386)%branchR2(0:0))
      call avR2(3386, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(244)%branchR2(0:0))
      call avR2(244, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(328)%branchR2(0:0))
      call avR2(328, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(371)%branchR2(0:0))
      call avR2(371, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1267)%branchR2(0:0))
      call avR2(1267, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(509)%branchR2(0:0))
      call avR2(509, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1844/))

      allocate(vertices(2898)%branchR2(0:0))
      call avR2(2898, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(1477)%branchR2(0:0))
      call avR2(1477, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2872)%branchR2(0:0))
      call avR2(2872, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(1176)%branchR2(0:1))
      call avR2(1176, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1797, nGC_1796/))

      call avR2(1176, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1776, nGC_1774/))

      allocate(vertices(1566)%branchR2(0:0))
      call avR2(1566, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(1833)%branchR2(0:1))
      call avR2(1833, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1754, nGC_1755/))

      call avR2(1833, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(2089)%branchR2(0:0))
      call avR2(2089, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(3632)%branchR2(0:0))
      call avR2(3632, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(767)%branchR2(0:0))
      call avR2(767, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(2149)%branchR2(0:0))
      call avR2(2149, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2622)%branchR2(0:0))
      call avR2(2622, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3275/))

      allocate(vertices(94)%branchR2(0:0))
      call avR2(94, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2078, nGC_2077, nGC_2076&
      /))

      allocate(vertices(3063)%branchR2(0:0))
      call avR2(3063, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3276/))

      allocate(vertices(3633)%branchR2(0:0))
      call avR2(3633, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(237)%branchR2(0:0))
      call avR2(237, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(83)%branchR2(0:0))
      call avR2(83, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1405)%branchR2(0:0))
      call avR2(1405, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1874/))

      allocate(vertices(52)%branchR2(0:0))
      call avR2(52, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(978)%branchR2(0:0))
      call avR2(978, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(3634)%branchR2(0:1))
      call avR2(3634, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2197/))

      call avR2(3634, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2198/))

      allocate(vertices(2928)%branchR2(0:0))
      call avR2(2928, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(3635)%branchR2(0:1))
      call avR2(3635, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2116/))

      call avR2(3635, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(1229)%branchR2(0:0))
      call avR2(1229, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1261)%branchR2(0:0))
      call avR2(1261, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2274)%branchR2(0:0))
      call avR2(2274, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(820)%branchR2(0:0))
      call avR2(820, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(326)%branchR2(0:0))
      call avR2(326, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2140/))

      allocate(vertices(755)%branchR2(0:0))
      call avR2(755, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(2939)%branchR2(0:0))
      call avR2(2939, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(2966)%branchR2(0:0))
      call avR2(2966, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(680)%branchR2(0:1))
      call avR2(680, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1899, nGC_1897/))

      call avR2(680, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1900, nGC_1898/))

      allocate(vertices(1731)%branchR2(0:0))
      call avR2(1731, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1096)%branchR2(0:0))
      call avR2(1096, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(1693)%branchR2(0:0))
      call avR2(1693, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1875/))

      allocate(vertices(2362)%branchR2(0:0))
      call avR2(2362, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1847/))

      allocate(vertices(1651)%branchR2(0:0))
      call avR2(1651, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1784/))

      allocate(vertices(3636)%branchR2(0:1))
      call avR2(3636, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2117/))

      call avR2(3636, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2116/))

      allocate(vertices(73)%branchR2(0:0))
      call avR2(73, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(323)%branchR2(0:0))
      call avR2(323, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1991, nGC_1990/))

      allocate(vertices(1366)%branchR2(0:0))
      call avR2(1366, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2205, nGC_2204,       &
      nGC_2206/))

      allocate(vertices(2340)%branchR2(0:1))
      call avR2(2340, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1891, nGC_1889/))

      call avR2(2340, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1892, nGC_1890/))

      allocate(vertices(1056)%branchR2(0:0))
      call avR2(1056, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1109)%branchR2(0:0))
      call avR2(1109, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1811/))

      allocate(vertices(297)%branchR2(0:0))
      call avR2(297, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(1847)%branchR2(0:0))
      call avR2(1847, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(1018)%branchR2(0:0))
      call avR2(1018, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1297)%branchR2(0:0))
      call avR2(1297, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1808/))

      allocate(vertices(106)%branchR2(0:0))
      call avR2(106, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1059)%branchR2(0:0))
      call avR2(1059, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(65)%branchR2(0:1))
      call avR2(65, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1920, nGC_1919/))

      call avR2(65, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1921, nGC_1921/))

      allocate(vertices(1093)%branchR2(0:0))
      call avR2(1093, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(1795)%branchR2(0:1))
      call avR2(1795, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1985, nGC_1986/))

      call avR2(1795, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(3637)%branchR2(0:0))
      call avR2(3637, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(2342)%branchR2(0:0))
      call avR2(2342, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(998)%branchR2(0:0))
      call avR2(998, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1865/))

      allocate(vertices(1457)%branchR2(0:0))
      call avR2(1457, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(3638)%branchR2(0:1))
      call avR2(3638, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2099/))

      call avR2(3638, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2098/))

      allocate(vertices(1198)%branchR2(0:3))
      call avR2(1198, 0, 38, 1, 0, VFaF0, (/1, 2/), (/nGC_2024, nGC_2025/))

      call avR2(1198, 1, 38, 1, 0, VFaF0, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(1198, 2, 39, 1, 0, VFaF0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(1198, 3, 39, 1, 0, VFaF0, (/1, 2/), (/nGC_2022, nGC_2023/))

      allocate(vertices(513)%branchR2(0:0))
      call avR2(513, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(1598)%branchR2(0:0))
      call avR2(1598, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1759/))

      allocate(vertices(3639)%branchR2(0:0))
      call avR2(3639, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(481)%branchR2(0:1))
      call avR2(481, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1733, nGC_1734/))

      call avR2(481, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(794)%branchR2(0:0))
      call avR2(794, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(2573)%branchR2(0:0))
      call avR2(2573, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1563)%branchR2(0:0))
      call avR2(1563, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(132)%branchR2(0:1))
      call avR2(132, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1840, nGC_1838/))

      call avR2(132, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1841, nGC_1839/))

      allocate(vertices(2230)%branchR2(0:0))
      call avR2(2230, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(2857)%branchR2(0:0))
      call avR2(2857, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(1976)%branchR2(0:0))
      call avR2(1976, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(3640)%branchR2(0:0))
      call avR2(3640, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(3641)%branchR2(0:1))
      call avR2(3641, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2199/))

      call avR2(3641, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2200/))

      allocate(vertices(2012)%branchR2(0:0))
      call avR2(2012, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3268/))

      allocate(vertices(1526)%branchR2(0:0))
      call avR2(1526, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(2067)%branchR2(0:0))
      call avR2(2067, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(255)%branchR2(0:1))
      call avR2(255, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1840, nGC_1838/))

      call avR2(255, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1841, nGC_1839/))

      allocate(vertices(3642)%branchR2(0:0))
      call avR2(3642, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(2276)%branchR2(0:3))
      call avR2(2276, 0, 11, 1, 0, FFaV1, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(2276, 1, 11, 1, 0, FFaV1, (/1, 2/), (/nGC_2005, nGC_2007/))

      call avR2(2276, 2, 12, 1, 0, FFaV1, (/1, 2/), (/nGC_2002, nGC_2004/))

      call avR2(2276, 3, 12, 1, 0, FFaV1, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(402)%branchR2(0:1))
      call avR2(402, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(402, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(267)%branchR2(0:0))
      call avR2(267, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1863/))

      allocate(vertices(3188)%branchR2(0:0))
      call avR2(3188, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(1783)%branchR2(0:0))
      call avR2(1783, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2077,       &
      nGC_2078/))

      allocate(vertices(1203)%branchR2(0:0))
      call avR2(1203, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(3413)%branchR2(0:0))
      call avR2(3413, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(618)%branchR2(0:0))
      call avR2(618, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(360)%branchR2(0:0))
      call avR2(360, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(1940)%branchR2(0:0))
      call avR2(1940, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(487)%branchR2(0:0))
      call avR2(487, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(2322)%branchR2(0:0))
      call avR2(2322, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(3098)%branchR2(0:0))
      call avR2(3098, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(3073)%branchR2(0:0))
      call avR2(3073, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(1396)%branchR2(0:0))
      call avR2(1396, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2205)%branchR2(0:1))
      call avR2(2205, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_1974/))

      call avR2(2205, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(183)%branchR2(0:0))
      call avR2(183, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(2744)%branchR2(0:0))
      call avR2(2744, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1674, nGC_1673/))

      allocate(vertices(2309)%branchR2(0:0))
      call avR2(2309, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1876/))

      allocate(vertices(1589)%branchR2(0:0))
      call avR2(1589, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(333)%branchR2(0:0))
      call avR2(333, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(3346)%branchR2(0:0))
      call avR2(3346, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(1266)%branchR2(0:1))
      call avR2(1266, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1996, nGC_1997/))

      call avR2(1266, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(763)%branchR2(0:0))
      call avR2(763, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(3643)%branchR2(0:0))
      call avR2(3643, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2211, nGC_2211,       &
      nGC_2211/))

      allocate(vertices(3300)%branchR2(0:0))
      call avR2(3300, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2077)%branchR2(0:0))
      call avR2(2077, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(3276)%branchR2(0:0))
      call avR2(3276, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(3644)%branchR2(0:0))
      call avR2(3644, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(1146)%branchR2(0:0))
      call avR2(1146, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(898)%branchR2(0:0))
      call avR2(898, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(1763)%branchR2(0:0))
      call avR2(1763, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1784/))

      allocate(vertices(2846)%branchR2(0:0))
      call avR2(2846, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_1686, nGC_1684,        &
      nGC_1685/))

      allocate(vertices(2575)%branchR2(0:0))
      call avR2(2575, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1929, nGC_1930/))

      allocate(vertices(1246)%branchR2(0:0))
      call avR2(1246, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(2031)%branchR2(0:0))
      call avR2(2031, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(823)%branchR2(0:0))
      call avR2(823, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1580)%branchR2(0:0))
      call avR2(1580, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1538)%branchR2(0:0))
      call avR2(1538, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1759/))

      allocate(vertices(3645)%branchR2(0:1))
      call avR2(3645, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2116/))

      call avR2(3645, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(2212)%branchR2(0:1))
      call avR2(2212, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1840, nGC_1838/))

      call avR2(2212, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1841, nGC_1839/))

      allocate(vertices(3321)%branchR2(0:0))
      call avR2(3321, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1720/))

      allocate(vertices(654)%branchR2(0:0))
      call avR2(654, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(2754)%branchR2(0:0))
      call avR2(2754, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(2862)%branchR2(0:1))
      call avR2(2862, 0, 42, 1, 0, FaF2, (/0, 2/), (/nGC_1691, nGC_1688,       &
      nGC_1689, nGC_1689/))

      call avR2(2862, 1, 42, 1, 0, FaF2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1690, nGC_1690/))

      allocate(vertices(1270)%branchR2(0:1))
      call avR2(1270, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1923, nGC_1922/))

      call avR2(1270, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1924, nGC_1924/))

      allocate(vertices(2176)%branchR2(0:0))
      call avR2(2176, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1991)%branchR2(0:0))
      call avR2(1991, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3277/))

      allocate(vertices(260)%branchR2(0:0))
      call avR2(260, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(924)%branchR2(0:0))
      call avR2(924, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2206, nGC_2205,        &
      nGC_2204/))

      allocate(vertices(2478)%branchR2(0:1))
      call avR2(2478, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1940, nGC_1939/))

      call avR2(2478, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1941, nGC_1941/))

      allocate(vertices(2886)%branchR2(0:0))
      call avR2(2886, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(2099)%branchR2(0:0))
      call avR2(2099, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1843/))

      allocate(vertices(2143)%branchR2(0:0))
      call avR2(2143, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(91)%branchR2(0:1))
      call avR2(91, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1853, nGC_1855/))

      call avR2(91, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1854, nGC_1856/))

      allocate(vertices(786)%branchR2(0:0))
      call avR2(786, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(3560)%branchR2(0:0))
      call avR2(3560, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1279)%branchR2(0:1))
      call avR2(1279, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1883, nGC_1881/))

      call avR2(1279, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1884, nGC_1882/))

      allocate(vertices(768)%branchR2(0:1))
      call avR2(768, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1872, nGC_1873/))

      call avR2(768, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1858, nGC_1860/))

      allocate(vertices(2160)%branchR2(0:0))
      call avR2(2160, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1802/))

      allocate(vertices(1166)%branchR2(0:0))
      call avR2(1166, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(817)%branchR2(0:1))
      call avR2(817, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_1736, nGC_1737/))

      call avR2(817, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(450)%branchR2(0:0))
      call avR2(450, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(3356)%branchR2(0:0))
      call avR2(3356, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1790/))

      allocate(vertices(671)%branchR2(0:0))
      call avR2(671, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(3646)%branchR2(0:0))
      call avR2(3646, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(53)%branchR2(0:0))
      call avR2(53, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(1052)%branchR2(0:0))
      call avR2(1052, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1929, nGC_1930/))

      allocate(vertices(1392)%branchR2(0:0))
      call avR2(1392, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(189)%branchR2(0:0))
      call avR2(189, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(1574)%branchR2(0:0))
      call avR2(1574, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(388)%branchR2(0:0))
      call avR2(388, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(345)%branchR2(0:0))
      call avR2(345, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3275/))

      allocate(vertices(3647)%branchR2(0:0))
      call avR2(3647, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(920)%branchR2(0:0))
      call avR2(920, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(2855)%branchR2(0:0))
      call avR2(2855, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(875)%branchR2(0:0))
      call avR2(875, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1191)%branchR2(0:0))
      call avR2(1191, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(1218)%branchR2(0:0))
      call avR2(1218, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1880/))

      allocate(vertices(1882)%branchR2(0:0))
      call avR2(1882, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(1098)%branchR2(0:0))
      call avR2(1098, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(1354)%branchR2(0:0))
      call avR2(1354, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1993/))

      allocate(vertices(1557)%branchR2(0:0))
      call avR2(1557, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2141/))

      allocate(vertices(1975)%branchR2(0:0))
      call avR2(1975, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(2531)%branchR2(0:0))
      call avR2(2531, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(3648)%branchR2(0:5))
      call avR2(3648, 0, 77, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      call avR2(3648, 1, 81, 1, 0, VVVV0, (/3, 1/), (/nGC_2216, nGC_2216,      &
      nGC_2216/))

      call avR2(3648, 2, 79, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      call avR2(3648, 3, 80, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      call avR2(3648, 4, 78, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      call avR2(3648, 5, 82, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      allocate(vertices(2675)%branchR2(0:0))
      call avR2(2675, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1336)%branchR2(0:0))
      call avR2(1336, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(2748)%branchR2(0:0))
      call avR2(2748, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3278/))

      allocate(vertices(2365)%branchR2(0:0))
      call avR2(2365, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1784/))

      allocate(vertices(3302)%branchR2(0:0))
      call avR2(3302, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1888)%branchR2(0:0))
      call avR2(1888, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1937, nGC_1938/))

      allocate(vertices(1644)%branchR2(0:0))
      call avR2(1644, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(1502)%branchR2(0:0))
      call avR2(1502, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1850)%branchR2(0:0))
      call avR2(1850, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(911)%branchR2(0:0))
      call avR2(911, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1744, nGC_1743/))

      allocate(vertices(1620)%branchR2(0:0))
      call avR2(1620, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1727/))

      allocate(vertices(710)%branchR2(0:0))
      call avR2(710, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1863/))

      allocate(vertices(2133)%branchR2(0:0))
      call avR2(2133, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(3322)%branchR2(0:0))
      call avR2(3322, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1747/))

      allocate(vertices(3649)%branchR2(0:0))
      call avR2(3649, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(2477)%branchR2(0:0))
      call avR2(2477, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(2136)%branchR2(0:0))
      call avR2(2136, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(522)%branchR2(0:1))
      call avR2(522, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1974/))

      call avR2(522, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3272)%branchR2(0:0))
      call avR2(3272, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(2189)%branchR2(0:1))
      call avR2(2189, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1871, nGC_1870/))

      call avR2(2189, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1856, nGC_1854/))

      allocate(vertices(2373)%branchR2(0:0))
      call avR2(2373, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3271/))

      allocate(vertices(2115)%branchR2(0:0))
      call avR2(2115, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1913/))

      allocate(vertices(3078)%branchR2(0:0))
      call avR2(3078, 0, 13, 1, 0, FFa2, (/0, 2/), (/nGC_1699, nGC_1707,       &
      nGC_1707, nGC_1700/))

      allocate(vertices(501)%branchR2(0:0))
      call avR2(501, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(3650)%branchR2(0:0))
      call avR2(3650, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(1613)%branchR2(0:1))
      call avR2(1613, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1903, nGC_1901/))

      call avR2(1613, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1904, nGC_1902/))

      allocate(vertices(2003)%branchR2(0:0))
      call avR2(2003, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(2034)%branchR2(0:0))
      call avR2(2034, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(1475)%branchR2(0:0))
      call avR2(1475, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(1155)%branchR2(0:0))
      call avR2(1155, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1138)%branchR2(0:0))
      call avR2(1138, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1371)%branchR2(0:0))
      call avR2(1371, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(36)%branchR2(0:1))
      call avR2(36, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1969, nGC_1968/))

      call avR2(36, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1970, nGC_1970/))

      allocate(vertices(3328)%branchR2(0:0))
      call avR2(3328, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(870)%branchR2(0:0))
      call avR2(870, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(115)%branchR2(0:1))
      call avR2(115, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1798, nGC_1799/))

      call avR2(115, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1778, nGC_1780/))

      allocate(vertices(2317)%branchR2(0:0))
      call avR2(2317, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(1986)%branchR2(0:0))
      call avR2(1986, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(3355)%branchR2(0:0))
      call avR2(3355, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1565)%branchR2(0:0))
      call avR2(1565, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1914/))

      allocate(vertices(2367)%branchR2(0:0))
      call avR2(2367, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(2983)%branchR2(0:0))
      call avR2(2983, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3279/))

      allocate(vertices(1834)%branchR2(0:0))
      call avR2(1834, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2144/))

      allocate(vertices(3010)%branchR2(0:0))
      call avR2(3010, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3280/))

      allocate(vertices(5)%branchR2(0:1))
      call avR2(5, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1932, nGC_1931/))

      call avR2(5, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1933, nGC_1933/))

      allocate(vertices(2491)%branchR2(0:0))
      call avR2(2491, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(2736)%branchR2(0:0))
      call avR2(2736, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(298)%branchR2(0:1))
      call avR2(298, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1748, nGC_1749/))

      call avR2(298, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(2973)%branchR2(0:0))
      call avR2(2973, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(3409)%branchR2(0:0))
      call avR2(3409, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(2877)%branchR2(0:0))
      call avR2(2877, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(23)%branchR2(0:0))
      call avR2(23, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2798)%branchR2(0:0))
      call avR2(2798, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1730/))

      allocate(vertices(2404)%branchR2(0:0))
      call avR2(2404, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(607)%branchR2(0:0))
      call avR2(607, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1020)%branchR2(0:0))
      call avR2(1020, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(1710)%branchR2(0:0))
      call avR2(1710, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(3553)%branchR2(0:0))
      call avR2(3553, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(6)%branchR2(0:0))
      call avR2(6, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1784/))

      allocate(vertices(666)%branchR2(0:0))
      call avR2(666, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2078,        &
      nGC_2076/))

      allocate(vertices(892)%branchR2(0:0))
      call avR2(892, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(1145)%branchR2(0:0))
      call avR2(1145, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(588)%branchR2(0:0))
      call avR2(588, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3260/))

      allocate(vertices(1069)%branchR2(0:0))
      call avR2(1069, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(608)%branchR2(0:0))
      call avR2(608, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(663)%branchR2(0:0))
      call avR2(663, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(3392)%branchR2(0:0))
      call avR2(3392, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(722)%branchR2(0:0))
      call avR2(722, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(2532)%branchR2(0:0))
      call avR2(2532, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2141/))

      allocate(vertices(3651)%branchR2(0:0))
      call avR2(3651, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(2470)%branchR2(0:0))
      call avR2(2470, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(801)%branchR2(0:0))
      call avR2(801, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(1530)%branchR2(0:0))
      call avR2(1530, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(1643)%branchR2(0:0))
      call avR2(1643, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(1401)%branchR2(0:0))
      call avR2(1401, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(1320)%branchR2(0:0))
      call avR2(1320, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(2520)%branchR2(0:0))
      call avR2(2520, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(72)%branchR2(0:0))
      call avR2(72, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(3521)%branchR2(0:0))
      call avR2(3521, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1745/))

      allocate(vertices(2007)%branchR2(0:0))
      call avR2(2007, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(2076)%branchR2(0:1))
      call avR2(2076, 0, 18, 1, 0, FaSF0, (/0, 3/), (/nGC_1822, nGC_1820/))

      call avR2(2076, 1, 18, 1, 0, FaSF0, (/2, 1/), (/nGC_1823, nGC_1821/))

      allocate(vertices(1158)%branchR2(0:0))
      call avR2(1158, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1432)%branchR2(0:0))
      call avR2(1432, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(347)%branchR2(0:1))
      call avR2(347, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1814, nGC_1812/))

      call avR2(347, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1815, nGC_1813/))

      allocate(vertices(2078)%branchR2(0:0))
      call avR2(2078, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2302)%branchR2(0:0))
      call avR2(2302, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(941)%branchR2(0:0))
      call avR2(941, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2949)%branchR2(0:0))
      call avR2(2949, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(2206)%branchR2(0:0))
      call avR2(2206, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(1894)%branchR2(0:0))
      call avR2(1894, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(1389)%branchR2(0:0))
      call avR2(1389, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(1676)%branchR2(0:0))
      call avR2(1676, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(2709)%branchR2(0:0))
      call avR2(2709, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(592)%branchR2(0:1))
      call avR2(592, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1748, nGC_1749/))

      call avR2(592, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(1410)%branchR2(0:0))
      call avR2(1410, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(1725)%branchR2(0:0))
      call avR2(1725, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(3652)%branchR2(0:0))
      call avR2(3652, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(792)%branchR2(0:0))
      call avR2(792, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1989/))

      allocate(vertices(1884)%branchR2(0:0))
      call avR2(1884, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(3318)%branchR2(0:0))
      call avR2(3318, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(173)%branchR2(0:0))
      call avR2(173, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1716/))

      allocate(vertices(2735)%branchR2(0:0))
      call avR2(2735, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1730/))

      allocate(vertices(973)%branchR2(0:0))
      call avR2(973, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1867/))

      allocate(vertices(1805)%branchR2(0:1))
      call avR2(1805, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1773, nGC_1775/))

      call avR2(1805, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1774, nGC_1776/))

      allocate(vertices(1437)%branchR2(0:0))
      call avR2(1437, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(2288)%branchR2(0:1))
      call avR2(2288, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1909, nGC_1907/))

      call avR2(2288, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1910, nGC_1908/))

      allocate(vertices(302)%branchR2(0:0))
      call avR2(302, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(2075)%branchR2(0:1))
      call avR2(2075, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1932, nGC_1931/))

      call avR2(2075, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1933, nGC_1933/))

      allocate(vertices(179)%branchR2(0:1))
      call avR2(179, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1899, nGC_1897/))

      call avR2(179, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1900, nGC_1898/))

      allocate(vertices(757)%branchR2(0:0))
      call avR2(757, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1865/))

      allocate(vertices(976)%branchR2(0:0))
      call avR2(976, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(2979)%branchR2(0:0))
      call avR2(2979, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1672, nGC_1671/))

      allocate(vertices(2438)%branchR2(0:0))
      call avR2(2438, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1876/))

      allocate(vertices(3436)%branchR2(0:0))
      call avR2(3436, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1658, nGC_1657/))

      allocate(vertices(1383)%branchR2(0:0))
      call avR2(1383, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(2643)%branchR2(0:0))
      call avR2(2643, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2336)%branchR2(0:1))
      call avR2(2336, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_1923, nGC_1922/))

      call avR2(2336, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_1924, nGC_1924/))

      allocate(vertices(1212)%branchR2(0:0))
      call avR2(1212, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1326)%branchR2(0:0))
      call avR2(1326, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(285)%branchR2(0:0))
      call avR2(285, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3273/))

      allocate(vertices(2270)%branchR2(0:0))
      call avR2(2270, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(3203)%branchR2(0:0))
      call avR2(3203, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3281/))

      allocate(vertices(971)%branchR2(0:0))
      call avR2(971, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(3653)%branchR2(0:1))
      call avR2(3653, 0, 48, 1, 0, VSV0, (/2, 1/), (/nGC_1928/))

      call avR2(3653, 1, 47, 1, 0, VSV0, (/2, 1/), (/nGC_1927/))

      allocate(vertices(549)%branchR2(0:0))
      call avR2(549, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2041, nGC_2042,        &
      nGC_2040/))

      allocate(vertices(539)%branchR2(0:0))
      call avR2(539, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1763/))

      allocate(vertices(2753)%branchR2(0:0))
      call avR2(2753, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(2215)%branchR2(0:0))
      call avR2(2215, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(2426)%branchR2(0:3))
      call avR2(2426, 0, 11, 1, 0, FFaV1, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(2426, 1, 11, 1, 0, FFaV1, (/1, 2/), (/nGC_2010, nGC_2011/))

      call avR2(2426, 2, 12, 1, 0, FFaV1, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(2426, 3, 12, 1, 0, FFaV1, (/1, 2/), (/nGC_2008, nGC_2009/))

      allocate(vertices(1738)%branchR2(0:0))
      call avR2(1738, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(2619)%branchR2(0:0))
      call avR2(2619, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(665)%branchR2(0:0))
      call avR2(665, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(2483)%branchR2(0:0))
      call avR2(2483, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(3508)%branchR2(0:0))
      call avR2(3508, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(76)%branchR2(0:0))
      call avR2(76, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1763/))

      allocate(vertices(1586)%branchR2(0:0))
      call avR2(1586, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(1249)%branchR2(0:0))
      call avR2(1249, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(245)%branchR2(0:0))
      call avR2(245, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(3654)%branchR2(0:0))
      call avR2(3654, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(926)%branchR2(0:0))
      call avR2(926, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(1702)%branchR2(0:0))
      call avR2(1702, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1971/))

      allocate(vertices(2993)%branchR2(0:0))
      call avR2(2993, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(1022)%branchR2(0:0))
      call avR2(1022, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(376)%branchR2(0:0))
      call avR2(376, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1646)%branchR2(0:0))
      call avR2(1646, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3267/))

      allocate(vertices(3655)%branchR2(0:1))
      call avR2(3655, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2064, nGC_2064,      &
      nGC_2064/))

      call avR2(3655, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2063, nGC_2063,      &
      nGC_2063/))

      allocate(vertices(1190)%branchR2(0:0))
      call avR2(1190, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(2860)%branchR2(0:1))
      call avR2(2860, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_1695, nGC_1714,       &
      nGC_1714, nGC_1692/))

      call avR2(2860, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_1687, nGC_1715,       &
      nGC_1715, nGC_1687/))

      allocate(vertices(2791)%branchR2(0:0))
      call avR2(2791, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(3656)%branchR2(0:1))
      call avR2(3656, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2116/))

      call avR2(3656, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(1591)%branchR2(0:0))
      call avR2(1591, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1800/))

      allocate(vertices(1915)%branchR2(0:0))
      call avR2(1915, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1863/))

      allocate(vertices(2255)%branchR2(0:0))
      call avR2(2255, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(1357)%branchR2(0:0))
      call avR2(1357, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(2956)%branchR2(0:0))
      call avR2(2956, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(938)%branchR2(0:1))
      call avR2(938, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1994, nGC_1995/))

      call avR2(938, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(1439)%branchR2(0:0))
      call avR2(1439, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(2989)%branchR2(0:0))
      call avR2(2989, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(544)%branchR2(0:0))
      call avR2(544, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2052/))

    end subroutine fill_vertices_mdl9
end module vertices_info9
